%global momorel 10
Summary: A Linux PXE (Preboot eXecution Environment) server.
Name: pxe
Version: 0.1
Release: %{momorel}m
License: BSD
Group: System Environment/Daemons
Source0: pxe-linux.tar.gz
Source1: pxe.init
Source2: pxe-README
Source3: pxe-license
Source5: mtftp
Patch:   pxe-linux-config.patch
Patch1:	 pxe-1.0-cmdlinearg.patch
Patch2:	 pxe-1.0-yourIP.patch
Patch3:	 pxe-1.0-bash2.patch
Patch4:  pxe-1.0-tester.patch
Patch5:  pxe-1.0-socket.patch
Patch6:  pxe-1.0-time.patch
Patch7: pxe-linux-dev86.patch
Patch8: pxe-1.0-800M-63945.patch
Patch9: pxe-1.0-nostrip.patch
Patch10: pxe-linux-nocrash.patch
Patch11: pxe-linux-nocrash2.patch
Patch100:  pxe-linux-console.patch
Patch101:  pxe-linux-daemon.patch
Patch102: pxe-linux-LIBPATH.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
Prereq: chkconfig initscripts
BuildPreReq: dev86 >= 0.16.15
Provides: libpxelib.so

%description
The pxe package contains the PXE (Preboot eXecution Environment)
server and code needed for Linux to boot from a boot disk image on a
Linux PXE server.

%prep
%setup -q -n pxe-linux
%patch -p1 -b .djb
%patch1 -p1 -b .oot
%patch2 -p1 -b .yourIP
%patch3 -p1 -b .bash2
%patch4 -p1 -b .tester
%patch5 -p1 -b .socket
%patch6 -p1 -b .time
%patch7 -p1 -b .dev86
%patch8 -p1 -b .800M
%patch9 -p1 -b .nostrip
%patch10 -p1 -b .nocrash
%patch11 -p1 -b .nocrash2patch9 -p1 -b .cflags
%patch100 -p1
%patch101 -p1
%patch102 -p1
cp %{SOURCE3} license

%build
cp %{SOURCE2} README
make -C nbp.linux
make -C server

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_initscriptdir}
make PREFIX=%{buildroot} install -C nbp.linux
make PREFIX=%{buildroot} install -C server
install -m 755 %{SOURCE1} %{buildroot}%{_initscriptdir}/pxe
mkdir -p %{buildroot}/etc/xinetd.d
cp %{SOURCE5} %{buildroot}/etc/xinetd.d


%clean
rm -rf %{buildroot}

%post 
/sbin/ldconfig
/sbin/chkconfig --add pxe

%preun
if [ "$1" = 0 ] ; then
  /sbin/chkconfig --del pxe
  /sbin/chkconfig mtftp off
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README license

%dir /tftpboot/X86PC/UNDI/linux-install
%dir /tftpboot/X86PC/UNDI/BStrap
/tftpboot/X86PC/UNDI/linux-install/linux.0
/tftpboot/X86PC/UNDI/BStrap/bstrap.0

%{_libdir}/libpxelib.so.1.0
%{_libdir}/libpxelib.so
%{_libdir}/libApiTestOpts.so.1.0
%{_libdir}/libApiTestOpts.so
%{_libdir}/libBstrapOpts.so.1.0
%{_libdir}/libBstrapOpts.so
%{_libdir}/libpxeTester.so.1.0
%{_libdir}/libpxeTester.so
%{_libdir}/libpxeParser.so.1.0
%{_libdir}/libpxeParser.so

%{_sbindir}/in.mtftpd
%config /etc/mtftpd.conf
%config /etc/xinetd.d/mtftp

%config %{_initscriptdir}/pxe
%{_sbindir}/pxe
%config /etc/pxe.conf


%changelog
* Wed May 19 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.1-10m)
- added BuildPreReq: dev86 >= 0.6.15

* Wed May 19 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.1-9m)
- fix LIBPATH

* Tue May  4 2004 Toru Hoshina <t@momomnga-linux.org>
- (0.1-8m)
- %%{_initscriptdir}...

* Sat Apr 24 2004 Toru Hoshina <t@momomnga-linux.org>
- (0.1-7m)
- explicitly provides libpxelib.so for anaconda.

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1-6m)
- s/Copyright:/License:/

* Tue Oct 15 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1-5m)
- add patches from redhat (0.1-31.99.7.3)

* Thu Sep 26 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.1-4m)
- spec file cleanup
- 'disable = yes' as default

* Fri Sep 13 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1-3m)
- remove Prereq: /sbin/chkconfig /etc/init.d
- add Prereq: chkconfig initscripts

* Tue Jul 30 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1-2m)
- bcc cflags

* Mon Jul 29 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1-1m)
  first release for momonga

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Feb 14 2001 Matt Wilson <msw@redhat.com>
- patched pxemisc.h to include both sys/time.h and time.h

* Fri Feb  2 2001 Trond Eivind Glomsr?<teg@redhat.com>
- use %%{_tmppath}
- i18nize initscript

* Sat Aug 05 2000 Erik Troan <ewt@redhat.com>
- added patch to handle case w/ we don't get our socket (from 
  tjdougherty@uswest.net)

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  2 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Mon Jun 26 2000 Matt Wilson <msw@redhat.com>
- move init script to /etc/init.d
- added condrestart to init script
- added stop/start functions to init script

* Fri Jun 16 2000 Matt Wilson <msw@redhat.com>
- modified pxe server to return the IP in the reply packet
- compile cleanups
- fixes for building with bash2

* Thu Feb 24 2000 Erik Troan <ewt@redhat.com>
- added license notice

* Thu Feb 03 2000 Erik Troan <ewt@redhat.com>
- strip libraries

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descritpion and summary

* Tue Dec 21 1999 Erik Troan <ewt@redhat.com>
- made "ks" the default command line option

* Sun Sep 26 1999 Erik Troan <ewt@redhat.com>
- added patch for command line args

* Fri Sep 24 1999 Donnie Barnes <djb@redhat.com>
- updated sources from Intel
- updated README from Intel (they didn't like my meager attempt.  Hmmph.)
- removed my patch as they included what appears to be all of it

* Thu Sep 23 1999 Donnie Barnes <djb@redhat.com>
- added README's

* Thu Sep 23 1999 Cristian Gafton <gafton@redhat.com>
- minor cleanups

* Wed Sep 22 1999 Donnie Barnes <djb@redhat.com>
- initial packaging
